> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update User Information

PUT https://api-b2b.bigcommerce.com/api/v2/users/{userId}
Content-Type: application/json

Updates information about an existing Company user. The `userId` parameter accepts both the Company user ID and the BigCommerce customer account ID.

Equivalent Storefront GraphQL API Mutation: `userUpdate`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/company/users/put-users-user-id

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Path parameters

- `userId` (string, required) — The unique ID for the customer account.

### Body (application/json)

This endpoint expects an object.

- `firstName` (string, required) — The user's first name.
- `lastName` (string, required) — The user's last name.
- `email` (string, required) — The email address associated with the user's account.
- `phoneNumber` (string, required) — The phone number associated with the user's account.
- `role` (enum, required) — The ID of the role assigned to the Company user account as defined at [Specifying User Role](/developer/api-reference/rest/b2b/storefront/company/companies#specifying-user-role).
  - Allowed values: `0`, `1`, `2`

## Response

### 200

OK

- `code` (double, optional, default: 200)
- `message` (string, optional)
- `data` (UsersUserIdPutResponsesContentApplicationJsonSchemaData, optional)

## Types

### UsersUserIdPutResponsesContentApplicationJsonSchemaData

## Examples

**Request**

```json
{
  "firstName": "Marie",
  "lastName": "Curie",
  "email": "m.curie@greatbuys.com",
  "phoneNumber": "8001234567",
  "role": "1"
}
```

**Response**

```json
{
  "code": 200,
  "message": "SUCCESS",
  "data": {}
}
```

**SDK Code**

```python SUCCESS
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/users/123"

payload = {
    "firstName": "Marie",
    "lastName": "Curie",
    "email": "m.curie@greatbuys.com",
    "phoneNumber": "8001234567",
    "role": "1"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript SUCCESS
const url = 'https://api-b2b.bigcommerce.com/api/v2/users/123';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"firstName":"Marie","lastName":"Curie","email":"m.curie@greatbuys.com","phoneNumber":"8001234567","role":"1"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go SUCCESS
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/users/123"

	payload := strings.NewReader("{\n  \"firstName\": \"Marie\",\n  \"lastName\": \"Curie\",\n  \"email\": \"m.curie@greatbuys.com\",\n  \"phoneNumber\": \"8001234567\",\n  \"role\": \"1\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby SUCCESS
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/users/123")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"firstName\": \"Marie\",\n  \"lastName\": \"Curie\",\n  \"email\": \"m.curie@greatbuys.com\",\n  \"phoneNumber\": \"8001234567\",\n  \"role\": \"1\"\n}"

response = http.request(request)
puts response.read_body
```

```java SUCCESS
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api-b2b.bigcommerce.com/api/v2/users/123")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"firstName\": \"Marie\",\n  \"lastName\": \"Curie\",\n  \"email\": \"m.curie@greatbuys.com\",\n  \"phoneNumber\": \"8001234567\",\n  \"role\": \"1\"\n}")
  .asString();
```

```php SUCCESS
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api-b2b.bigcommerce.com/api/v2/users/123', [
  'body' => '{
  "firstName": "Marie",
  "lastName": "Curie",
  "email": "m.curie@greatbuys.com",
  "phoneNumber": "8001234567",
  "role": "1"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp SUCCESS
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/users/123");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"firstName\": \"Marie\",\n  \"lastName\": \"Curie\",\n  \"email\": \"m.curie@greatbuys.com\",\n  \"phoneNumber\": \"8001234567\",\n  \"role\": \"1\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift SUCCESS
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "firstName": "Marie",
  "lastName": "Curie",
  "email": "m.curie@greatbuys.com",
  "phoneNumber": "8001234567",
  "role": "1"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/users/123")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```